[gimp-help] Fix installer: hu was made an official language but isn't in a release yet



commit db8d93bf11e39c6d798f2643b7fda3cbd91e4847
Author: Jacob Boerema <jgboerema gmail com>
Date:   Fri Aug 12 18:12:33 2022 -0400

    Fix installer: hu was made an official language but isn't in a release yet

 build/windows/installer/installer-gimp-help-msys2.sh | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)
---
diff --git a/build/windows/installer/installer-gimp-help-msys2.sh 
b/build/windows/installer/installer-gimp-help-msys2.sh
index fb4b6fb86..680625770 100644
--- a/build/windows/installer/installer-gimp-help-msys2.sh
+++ b/build/windows/installer/installer-gimp-help-msys2.sh
@@ -22,6 +22,18 @@ download_lang ()
   fi
 }
 
+download_lang_official ()
+{
+  langfile="$1"
+  rm -f "$langfile"
+  wget "https://raw.githubusercontent.com/jrsoftware/issrc/main/Files/Languages/$langfile";
+  downloaded="$?"
+  if [ $downloaded -ne 0 ]; then
+    echo "Download of '$langfile' failed."
+    exit 1
+  fi
+}
+
 add_bom ()
 {
   langfile="$1"
@@ -44,6 +56,11 @@ download_lang Romanian.isl
 download_lang Swedish.isl
 cd -
 
+# Hungarian is not in a release yet, but was moved from Unofficial
+cd "${ISCCDIR}/Languages/"
+download_lang_official Hungarian.isl
+cd -
+
 # Copy generated language files into the source directory.
 #cp _build-w64/build/windows/installer/lang/*isl build/windows/installer/lang
 


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]